This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 652576 - (ghc-texmath) Review Request: ghc-texmath - Haskell texmathml library
Review Request: ghc-texmath - Haskell texmathml library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On: ghc-xml
Blocks: pandoc
  Show dependency treegraph
 
Reported: 2010-11-12 04:22 EST by Jens Petersen
Modified: 2012-06-20 08:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-texmath-0.4-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-08 17:57:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-11-12 04:22:29 EST
Spec URL: http://petersen.fedorapeople.org/ghc-texmath/ghc-texmath.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-texmath/ghc-texmath-0.4-1.fc14.src.rpm
Description: 
Library to convert LaTeX math formulas to presentation MathML.
Comment 1 Narasimhan 2010-12-08 08:21:28 EST
In the cabal file 
if impl(ghc >= 6.10)
      Build-depends: base >= 4 && < 5, syb
    else
      Build-depends: base >= 3 && < 4

Since syb will be separate from ghc-libs for ghc 7, the spec file might have to include ghc-syb-devel as a dependency for >f15
Comment 2 Narasimhan 2010-12-08 09:49:24 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-texmath*.rpm ghc-texmath.spec 
ghc-texmath.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-texmath.src: W: spelling-error %description -l en_US texmathml -> aftermath, textualism, mathematic
The value of this tag appears to be misspelled. Please double-check.

ghc-texmath.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-texmath.x86_64: W: spelling-error %description -l en_US texmathml -> aftermath, textualism, mathematic
The value of this tag appears to be misspelled. Please double-check.

ghc-texmath-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-texmath-devel.x86_64: W: spelling-error %description -l en_US texmathml -> aftermath, textualism, mathematic
The value of this tag appears to be misspelled. Please double-check.

ghc-texmath-prof.x86_64: E: devel-dependency ghc-texmath-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-texmath-prof.x86_64: W: spelling-error %description -l en_US texmathml -> aftermath, textualism, mathematic
The value of this tag appears to be misspelled. Please double-check.

ghc-texmath-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-texmath-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/texmath-0.4/libHStexmath-0.4_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 9 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK, please evaluate and add ghc-syb-devel for rawhide, if necessary (f15 and greater).
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

 md5sum texmath-0.4.tar.gz 
df56a9500db917b7e0648f24202e6493  texmath-0.4.tar.gz

md5sum ~/Downloads/texmath-0.4.tar.gz 
df56a9500db917b7e0648f24202e6493  ~/Downloads/texmath-0.4.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in
ExcludeArch.

[+]MUST: All build dependencies must be listed in BuildRequires.
please evaluate and add ghc-syb-devel for rawhide, if necessary (f15 and greater).

[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-texmath
error: Failed dependencies:
	ghc-texmath = 0.4-1.fc14 is needed by (installed) ghc-texmath-devel-0.4-1.fc14.x86_64

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
checked with rpmquery --list 
[+]MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packaged. Wrote and ran a small program that imports the module 
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 3 Jens Petersen 2010-12-09 05:22:48 EST
Thanks for the review.  Good point about syb -
I will add it before building for rawhide.


New Package SCM Request
=======================
Package Name: ghc-texmath
Short Description: Haskell texmathml library
Owners: petersen
Branches: f13 f14
InitialCC: haskell-sig
Comment 4 Jason Tibbitts 2010-12-10 09:44:25 EST
Git done (by process-git-requests).
Comment 5 Jens Petersen 2011-01-21 04:12:42 EST
Waiting for ghc-xml to get built to I can build this.
Comment 6 Narasimhan 2011-01-29 02:04:11 EST
ghc-xml is available in rawhide.Could you get this package built in rawhide?

Meanwhile, I have taken pandoc.
Comment 7 Narasimhan 2011-01-30 00:37:22 EST
I see the package in rawhide. Sorry.
Comment 8 Jens Petersen 2011-01-30 20:20:40 EST
Also built now for F14.
Comment 9 Fedora Update System 2011-01-30 20:21:53 EST
ghc-texmath-0.4-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-texmath-0.4-3.fc14
Comment 10 Fedora Update System 2011-01-30 21:04:40 EST
ghc-texmath-0.4-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-texmath-0.4-3.fc13
Comment 11 Fedora Update System 2011-01-31 14:52:30 EST
ghc-texmath-0.4-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-texmath'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-texmath-0.4-3.fc14
Comment 12 Fedora Update System 2011-02-08 17:57:47 EST
ghc-texmath-0.4-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2011-02-08 17:59:30 EST
ghc-texmath-0.4-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Jens Petersen 2012-06-20 04:54:09 EDT
Package Change Request
======================
Package Name: ghc-texmath
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 15 Jon Ciesla 2012-06-20 08:09:42 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.